@import "reset.css";

$color1: #373c3f;
$color2: #acd8ad;
$color3: #fff;

body {
  font-family: 'Lato', sans-serif;
}

.hidden {
  display: none;
}

.container {
  box-sizing: border-box;
}

.flex-row {
  display: flex;
  justify-content: space-between;
}

//------------navigation---------------

.nav {
  position: relative;
  background-color: $color1;
  color: $color3;
}

.nav-menu-toggle {
  height: auto;
  width: 41px;
  background: #202529;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;

  .fa-times {
    font-size: 20px;
  }
}

.nav-menu-title {
  margin: 12px 15px 13px 18px;
  font-size: 12px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 500;
}

.nav-menu {
  position: absolute;
  width: 58%;
  top: 37px;
  right: 0;
  background-color: #fafafa;
}

.nav-menu-item {
  display: block;
  padding: 10px;
  color: $color1;
  text-decoration: none;
  text-align: left;
  font-size: 12px;
  border-bottom: 1px solid #f2f2f2;
  cursor: pointer;

  &:hover {
    background-color: #f5f5f5;
  }
}

//-------------header------------

.header {
  .container {
    display: inline-block;
    width: 100%;
    line-height: 1.5rem;
    background: url('../img/header-fon.png') 50% 50% no-repeat;
    background-size: 100% auto;

    /* a hack to make container scale to its bg image */
    &:before {
      content: '';
      padding-top: 54%;
      float: left;
    }
  }
}

.header-credo {
  padding: 12px 15px 0 20px;
  color: $color3;
  font-size: 16px;
  font-weight: bolder;
  line-height: 23px;
}

.header-link {
  padding: 0 20px;
  color: rgba(166, 214, 224, 255);
  font-weight: bold;
  font-size: 14px;
  text-decoration: none;
}

//----------products-------------

.products {
  margin-top: 3px;
  margin-bottom: 21px;

  .products-item {
    display: grid;
    grid-template-columns: 4fr 72px;
    grid-template-areas: 'name link';
    margin-bottom: 2px;
    color: $color3;
  }

  .products-item-name {
    grid-area: name;
    text-align: center;

    a {
      font-size: 20px;
      font-weight: 500;
      text-decoration: none;
      color: $color3;
    }
  }

  .item-1 {
    .products-item-name {
      padding: 26px 0;
      background: url('../img/Pizza_delivery_fon.png') no-repeat;
      background-size: cover;
    }
  }

  .item-2 {
    .products-item-name {
      padding: 27px 0;
      background: url('../img/UX_Salads_fon.png') no-repeat;
      background-size: cover;
    }
  }

  .item-3 {
    .products-item-name {
      background: url('../img/Desserts_fon.png') 10% no-repeat;
      padding: 25px 0;
      background-size: cover;
    }
  }

  .products-item-link {
    grid-area: link;
    background-color: $color2;
    height: 75px;
    line-height: 75px;
    text-align: center;
    cursor: pointer;

    svg {
      width: 10px;
      height: 10px;
      fill: $color3;
    }
  }
}

//------------pizza-menu-----------

.menu-title {
  padding-left: 0.4em;
  margin-bottom: 10px;

  .menu-title-big-text {
    margin-bottom: 0.2em;
    text-transform: uppercase;
    color: rgba(63, 64, 67, 255);
    font-size: 20px;
  }

  .menu-title-sm-text {
    font-size: 10px;
    color: rgba(203, 204, 206, 255);
  }
}

.menu-block {
  margin-bottom: 32px;
}

.menu-header {
  padding: 0.5em 0 0.5em 1em;
  font-size: 19px;
  text-transform: uppercase;
  background: $color1;
  color: $color2;
  letter-spacing: 0.6px;
}

.header-green {
  margin-bottom: 3px;
  color: $color3;
  background: $color2;
}

.menu-text {
  width: 90%;
  margin: 0 auto;

  .menu-items {
    color: #3f4043;
  }

  .flex-row {
    align-items: center;
  }
}

.menu-section-heading {
  margin: 16px 0;
  text-transform: uppercase;
  font-size: 15px;
  letter-spacing: 0.1px;
}

.block-2 {
  margin-bottom: 50px;

  .menu-section-heading {
    margin-bottom: 14px;
  }
}

.icon-pizza {
  background: url("../img/icons/icon-pizza.png") 50% 50% no-repeat;
  width: 25px;
  height: 25px;
}

.icon-coctail {
  background: url("../img/icons/icon-coctail.png") 50% 50% no-repeat;
  width: 13px;
  height: 24px;
  margin-right: 7px;
}

.icon-tea {
  background: url("../img/icons/icon-tea.png") 50% 50% no-repeat;
  width: 30px;
  height: 21px;
}

.icon-beer {
  background: url("../img/icons/icon-beer.png") 50% 50% no-repeat;
  width: 21px;
  height: 20px;
  margin-right: 6px;
}

.menu-item {
  margin-bottom: 8px;
}

.menu-item-title {
  position: relative;
  padding: 6px 7px;
  font-size: 13.5px;

  &:before {
    content: '.';
    position: absolute;
    left: 0;
    top: 0.06rem;
    font-weight: bold;
    font-size: 14px;
  }
}

.menu-item-price {
  font-weight: bolder;
  font-size: 14px;
}

.menu-item-description {
  font-size: 9px;
  letter-spacing: 0.17px;
}

//-------------footer------------

.footer {
  padding: 13px 0;
  font-family: 'Montserrat', "Courier", sans-serif;
  font-size: 12px;
  color: $color3;
  line-height: 1.1rem;
  text-align: center;
  background: $color2;
}

@import 'media-640';
@import 'media-980';
@import 'media-1200';

